dfa.cpp File Reference
`#include <gecode/int.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Extensional::TransByI_State
| Sort transition array by input state. More...
class | Gecode::Int::Extensional::TransBySymbol
| Sort transition array by symbol (value). More...
class | Gecode::Int::Extensional::TransBySymbolI_State
| Sort transition array by symbol and then input states. More...
class | Gecode::Int::Extensional::TransByO_State
| Sort transition array by output state. More...
class | Gecode::Int::Extensional::StateGroup
| Stategroup is used to compute a partition of states. More...
class | Gecode::Int::Extensional::StateGroupByGroup
| Sort groups stated by group and then state. More...
class | Gecode::Int::Extensional::GroupStates
| GroupStates is used to index StateGroup by group More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Extensional
| Extensional propagators

## Enumerations

enum | Gecode::Int::Extensional::StateInfo { Gecode::Int::Extensional::SI_NONE = 0 , Gecode::Int::Extensional::SI_FROM_START = 1 , Gecode::Int::Extensional::SI_TO_FINAL = 2 , Gecode::Int::Extensional::SI_FINAL = 4 }
| Information about states. More...